Re: ImportError: No module named dbm

Discussion in 'Python' started by Fredrik Lundh, Oct 14, 2005.

  1. wrote:

    > firstly i couldnt find the DBM module for python 2.3.5, trustix system and
    > i386 hardware platform.
    > so i downloaded gnu dbm for python 2.3.5 and i568( precisly,
    > python-gdbm-2.3.5-4tr.i586), simply assuming it could just work.
    >
    > but trying to install gives me the following error,
    >
    > error: failed dependencies:
    > python = 2.3.5 is needed by python-gdbm-2.3.5-4tr
    >
    > I am preety sure its python 2.3.5 tht is installed.


    did you install 2.3.5 yourself, or via RPM (or whatever trustix is using) ?

    if you built it yourself, the RPM database will not know about it; on the
    other hand, all you need to do to fix that is to look for a gdbm package
    for trustix, install it, and rebuild Python.

    if this isn't enough to get you unstuck, it might be a good idea to check
    with some trustix support forum.

    </F>
     
    Fredrik Lundh, Oct 14, 2005
    #1
    1. Advertising

Want to reply to this thread or ask your own question?

It takes just 2 minutes to sign up (and it's free!). Just click the sign up button to choose a username and then you can ask your own questions on the forum.
Similar Threads
  1. Harry George
    Replies:
    0
    Views:
    5,711
    Harry George
    Jul 15, 2003
  2. eric_bellard
    Replies:
    1
    Views:
    5,112
    CarlosRivera
    Oct 7, 2004
  3. Guest
    Replies:
    0
    Views:
    517
    Guest
    Oct 13, 2005
  4. Replies:
    0
    Views:
    416
  5. Replies:
    0
    Views:
    672
Loading...

Share This Page